
.ws-demo { display: flex; align-items: center; gap: 20px; width: 85%; justify-content: space-between; margin-bottom: 20px;}

.node { display: flex; flex-direction: column; align-items: center; z-index: 10; }

.ws-demo .node .viz-badge { width: 64px; height: 64px; border-radius: 16px; }
.ws-demo .node .viz-badge svg { width: 32px; height: 32px; }

.connection { flex: 1; height: 56px; position: relative; display: flex; align-items: center; justify-content: center; }

.ws-line { position: absolute; top: 50%; left: 0; right: 0; transform: translateY(-50%); }

.ws-mid.viz-badge { position: relative; width: 44px; height: 44px; border-radius: 12px; z-index: 5; }
.ws-mid.viz-badge svg { width: 22px; height: 22px; }

.msg { position: absolute; font-size: 1.5rem; opacity: 0; transition: transform 1s linear; z-index: 6; }
